Contec CONPROSYS HMI System (CHS) OS Command Injection (CVE-2022-44456)

critical Nessus Plugin ID 172391

Version 1.23

Jul 17, 2024, 11:02 PM

  • Logic Changes

Plugin Feed: 202407172302

Version 1.21

May 20, 2024, 10:13 AM

  • Logic Changes

Plugin Feed: 202405201013

Version 1.18

Mar 19, 2024, 6:40 PM

  • Logic Changes (Improving logging to reduce disk space usage)

Plugin Feed: 202403191840

Version 1.17

Mar 5, 2024, 1:15 AM

  • Logic Changes (Report structured data for RPM version checks.)

Plugin Feed: 202403050115

Version 1.14

Feb 9, 2024, 11:22 AM

  • New

Plugin Feed: 202402091122

Version 1.13

Feb 5, 2024, 4:13 PM

  • New (Implement a Purl generator.)

Plugin Feed: 202402051613

Version 1.10

Sep 26, 2023, 8:16 PM

  • Logic Changes

Plugin Feed: 202309262016

Version 1.9

Jul 17, 2023, 5:15 PM

  • Logic Changes (Make torture_cgi library PCP clean and consolidate utf16_to_ascii())

Plugin Feed: 202307171715

Version 1.8

Jun 20, 2023, 9:07 PM

  • Logic Changes (Temporarily limit debug logging)

Plugin Feed: 202306202107

Version 1.5

Jun 1, 2023, 5:27 AM

  • Logic Changes (Better logging)

Plugin Feed: 202306010527

Version 1.3

May 1, 2023, 9:07 PM

  • Detection (Make and use compatibility wrapper for running commands on scanner localhost to handle deprecation of pread().)

Plugin Feed: 202305012107

Version 1.1

Mar 10, 2023, 2:08 PM

  • CVSS temporal metrics ("CVSSv2 temporal vector" set to "CVSS2#E:POC/RL:OF/RC:C". "CVSSv2 temporal vector" set to "CVSS2#E:POC/RL:OF/RC:C". "CVSSv2 temporal vector" set to "CVSS2#E:POC/RL:OF/RC:C". "CVSSv2 temporal vector" set to "CVSS2#E:POC/RL:OF/RC:C". "CVSSv3 temporal vector" set to "CVSS:3.0/E:P/RL:O/RC:C". "CVSSv3 temporal vector" set to "CVSS:3.0/E:P/RL:O/RC:C". "CVSSv3 temporal vector" set to "CVSS:3.0/E:P/RL:O/RC:C")
  • CVSS metrics ("CVSSv2 score" changed from "7.5" to "10.0". "CVSSv2 score" changed from "7.5" to "10.0". "CVSSv2 score" changed from "7.5" to "10.0". "CVSSv2 score" changed from "7.5" to "10.0". "CVSSv2 vector" changed from "CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P" to "CVSS2#AV:N/AC:L/Au:N/C:C/I:C/A:C". "CVSSv2 vector" changed from "CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P" to "CVSS2#AV:N/AC:L/Au:N/C:C/I:C/A:C". "CVSSv2 vector" changed from "CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P" to "CVSS2#AV:N/AC:L/Au:N/C:C/I:C/A:C")
  • Exploit attributes ("Exploit available" set to "False". "Exploit available" set to "False". "Exploit available" set to "False". "Exploitability ease" set to "Exploits are available". "Exploitability ease" set to "Exploits are available". "Exploitability ease" set to "Exploits are available". "Exploitability ease" set to "Exploits are available")

Plugin Feed: 202303101408

Version 1.0

Mar 9, 2023, 6:03 PM

  • New

Plugin Feed: 202303091803

* Changelogs are generally available for changes made after Nov 1, 2022